"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isStatement = void 0;
function isStatement(node) {
    return node
        && typeof node === 'object'
        && node.type
        && typeof node.type === 'string'
        && ['LogicalExpression', 'Pipeline', 'Command', 'Function', 'Subshell', 'For', 'Case', 'If', 'While', 'Until'].indexOf(node.type) >= 0;
}
exports.isStatement = isStatement;
