"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.splitParams = void 0;
function splitParams(command) {
    var singleDashParamMatcher = /^-\w+$/i;
    var doubleDashParamMatcher = /^--\w+/i;
    var singleDashParams = (command.suffix || []).filter(function (s) { return s.text.match(singleDashParamMatcher); });
    var doubleDashParams = (command.suffix || []).filter(function (s) { return s.text.match(doubleDashParamMatcher); });
    var argList = (command.suffix || []).filter(function (s) { return !s.text.match(singleDashParamMatcher) && !s.text.match(doubleDashParamMatcher); });
    return { singleDashParams: singleDashParams, doubleDashParams: doubleDashParams, argList: argList };
}
exports.splitParams = splitParams;
