#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fs = tslib_1.__importStar(require("fs"));
var convert_bash_1 = require("./convert-bash");
var filename = process.argv[2];
console.log("converting file: " + filename + " ...");
var content = fs.readFileSync(filename).toString();
content = convert_bash_1.convertBashToWin(content);
console.log('updated:\n', content);
var batFilename = filename.replace(/\.sh$/, '.bat');
if (fs.existsSync(batFilename)) {
    console.warn("overwriting " + batFilename + " ..");
}
fs.writeFileSync(batFilename, content);
console.log("written result to " + batFilename);
