"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CpHandler = void 0;
var util_1 = require("./util");
var CpHandler = /** @class */ (function () {
    function CpHandler(defaultHandler) {
        this.defaultHandler = defaultHandler;
    }
    CpHandler.prototype.handle = function (command) {
        var _a = util_1.splitParams(command), singleDashParams = _a.singleDashParams, argList = _a.argList;
        var winParams = [];
        singleDashParams.forEach(function (suffix) {
            if (suffix.text.indexOf('d') >= 0) {
                winParams.push('/L');
            }
        });
        return "COPY " + winParams.join(' ') + " " + argList.map(this.defaultHandler).join(' '); // converting assures paths are fixed..
    };
    return CpHandler;
}());
exports.CpHandler = CpHandler;
