"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RmHandler = void 0;
var util_1 = require("./util");
var RmHandler = /** @class */ (function () {
    function RmHandler(defaultHandler) {
        this.defaultHandler = defaultHandler;
    }
    RmHandler.prototype.handle = function (command) {
        var _a = util_1.splitParams(command), singleDashParams = _a.singleDashParams, argList = _a.argList;
        var winParams = [];
        singleDashParams.forEach(function (suffix) {
            if (suffix.text.indexOf('r') >= 0) {
                winParams.push('/S');
            }
        });
        return "DEL " + winParams.join(' ') + " " + argList.map(this.defaultHandler).join(' '); // converting assures paths are fixed..
    };
    return RmHandler;
}());
exports.RmHandler = RmHandler;
